# Method Nettle.Yarrow()->seed()

Method seed

  ``Yarrow` seed(`string(8bit)` `data`)`

Description

  The random generator needs to be seeded before it can be used. The seed must be at least 32 characters long. The seed could be stored from a previous run by inserting the value returned from previous random_string call.

Returns

  Returns the called object.

See also

  min_seed_size, is_seeded